Receive a single CarrierService
GET https://{handle}.myshopline.com/admin/openapi/v20261201/carrier_services/:carrier_service_id.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Path Parameters
- carrier_service_id string requiredId for carrier serviceExample:
"123456"
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
carrier_serviceobject
Carrier service informationcarrier_service_type stringUse to distinguish api shipping and merchant shippingExample:Api : application participation configuration shipping ; merchant : merchant background configurationid stringId for carrier serviceExample:"123456"name stringShipping service nameExample:Shipping service nameservice_discovery booleanDoes the merchant be able to send virtual data through Shopline background carrier service to see the example of shippingExample:trueactive booleanDoes the carrier service activateExample:truecallback_url stringUrl required to request to calculate the shipping fee , must be the official network URL.Example:http://shipping.example.com
API Explorer
Debugger
Was this article helpful to you?